<?php

/**
 * @copyright  Copyright (C) 2005 - 2017 Michael Richey. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

/**
 * This is a CRON script which should be called from the command-line, not the
 * web. For example something like:
 * /usr/bin/php /path/to/site/cli/geoip_cli.php
 */
// Set flag that this is a parent file.
	const _JEXEC = 1;

error_reporting(E_ALL | E_NOTICE);
ini_set('display_errors', 1);

// Load system defines
if (file_exists(dirname(__DIR__) . '/defines.php'))
{
    require_once dirname(__DIR__) . '/defines.php';
}

if (!defined('_JDEFINES'))
{
    define('JPATH_BASE', dirname(__DIR__));
    require_once JPATH_BASE . '/includes/defines.php';
    define('JDEBUG', false);
}

require_once JPATH_LIBRARIES . '/import.legacy.php';
require_once JPATH_LIBRARIES . '/cms.php';

// Load the configuration
require_once JPATH_CONFIGURATION . '/configuration.php';

/**
 * This script will fetch the update information for all extensions and store
 * them in the database, speeding up your administrator.
 *
 * @since  2.5
 */
class GeoIP extends JApplicationCli {
    /**
     * Entry point for the script
     *
     * @return  void
     *
     * @since   2.5
     */
    public function doExecute() {
	JFactory::$application = $this;	
        require_once JPATH_ROOT.'/plugins/system/geoip/helper.php';
        GeoIPHelper::update(JFactory::getConfig()->get('tmp_path'));
    }
}

JApplicationCli::getInstance('GeoIP')->execute();

